export class DocumentReaderBarcodeField{
    constructor(){
        this.barcodeType;
        this.status;
        this.pdf417Info;
        this.data;
        this.pageIndex;
    }

    static fromJson(jsonObject){
        if (jsonObject != null) {
            var result = new DocumentReaderBarcodeField();
            result.barcodeType = jsonObject["barcodeType"];
            result.status = jsonObject["status"];
            result.pdf417Info = jsonObject["pdf417Info"];
            result.data = jsonObject["data"];
            result.pageIndex = jsonObject["pageIndex"];
            return result;
        }
        return null;
    }
}